Package org.jdesktop.application

# Class TaskEvent<T>

java.lang.Object
java.util.EventObject
org.jdesktop.application.TaskEvent<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  `Serializable`

public class TaskEvent<T> extends EventObject
An encapsulation of the value produced one of the `Task` execution methods: `doInBackground()`, `process`, `done`. The source of a `TaskEvent` is the `Task` that produced the value.

See Also:
  - `TaskListener`
  - `Task`
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`TaskEvent(Task source, T value)`
Construct a `TaskEvent`.

## Method Summary

Modifier and Type
Method
Description
`final T`
`getValue()`
Returns the value this event represents.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TaskEvent

public TaskEvent(Task source, T value)
Construct a `TaskEvent`.

Parameters:
  `source` - the `Task` that produced the value.
  `value` - the value, null if type `T` is `Void`.

## Method Details

### getValue

public final T getValue()
Returns the value this event represents.

Returns:
  the `value` constructor argument.